org.springframework.batch.item.data

## Class Neo4jItemReader<T>

- java.lang.Object
- - org.springframework.batch.item.ItemStreamSupport
  - - org.springframework.batch.item.support.AbstractItemStreamItemReader<T>
    - - org.springframework.batch.item.support.AbstractItemCountingItemStreamItemReader<T>
      - - org.springframework.batch.item.data.AbstractPaginatedDataItemReader<T>
        - - org.springframework.batch.item.data.AbstractNeo4jItemReader<T>
          - - org.springframework.batch.item.data.Neo4jItemReader<T>

- All Implemented Interfaces:
    ItemReader<T>, ItemStream, ItemStreamReader<T>, org.springframework.beans.factory.InitializingBean

      public class Neo4jItemReader<T>
      extends AbstractNeo4jItemReader<T>

  Extensions of the `AbstractNeo4jItemReader`.

  Author:
    Michael Minella

- - ### Field Summary

    - ### Fields inherited from class org.springframework.batch.item.data.AbstractNeo4jItemReader

      `logger`

    - ### Fields inherited from class org.springframework.batch.item.data.AbstractPaginatedDataItemReader

      `page, pageSize, results`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Neo4jItemReader()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.Iterator<T>` | `doPageRead()` Method this `ItemStreamReader` delegates to for the actual work of reading a page.

    - ### Methods inherited from class org.springframework.batch.item.data.AbstractNeo4jItemReader

      `afterPropertiesSet, generateLimitCypherQuery, getParameterValues, getSessionFactory, getTargetType, setMatchStatement, setOrderByStatement, setParameterValues, setReturnStatement, setSessionFactory, setStartStatement, setTargetType, setWhereStatement`

    - ### Methods inherited from class org.springframework.batch.item.data.AbstractPaginatedDataItemReader

      `doClose, doOpen, doRead, jumpToItem, setPageSize`

    - ### Methods inherited from class org.springframework.batch.item.support.AbstractItemCountingItemStreamItemReader

      `close, getCurrentItemCount, isSaveState, open, read, setCurrentItemCount, setMaxItemCount, setSaveState, update`

    - ### Methods inherited from class org.springframework.batch.item.ItemStreamSupport

      `getExecutionContextKey, setExecutionContextName, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Neo4jItemReader

          public Neo4jItemReader()

  - ### Method Detail

    - #### doPageRead

          protected java.util.Iterator<T> doPageRead()

      Description copied from class: `AbstractPaginatedDataItemReader`
      Method this `ItemStreamReader` delegates to for the actual work of reading a page. Each time this method is called, the resulting `Iterator` should contain the items read within the next page.
      If the `Iterator` is empty or null when it is returned, this `ItemReader` will assume that the input has been exhausted.
      Specified by:
        `doPageRead` in class `AbstractPaginatedDataItemReader<T>`
      Returns:
        an `Iterator` containing the items within a page.